Bug 17096 - RFE: Bring bugzilla more into sync with Mozilla bugzilla source
Summary: RFE: Bring bugzilla more into sync with Mozilla bugzilla source
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 2.18
Hardware: i386 Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-29 23:06 UTC by David Lawrence
Modified: 2013-06-24 03:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 15:52:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2000-08-29 23:06:26 UTC
Red Hat's current Bugzilla is currently 2 versions behind in features
compared to Mozilla's version of Bugzilla. I have been approached by
members of Bugzilla community on several occasions to have our changes
merged in with the latest bugzilla code base so that others can use the
enhancements. This would require a good deal of work as some stuff we use
is not particularly useful for others and would need to be sorted through.
Ours also has gone in different directions in some regards such as using
templates for user interface which has not yet been decided on by the
majority of bugzilla developers. I would like some time later in the cycle
to work on this and restore good faith with some of the bugzilla developers
as well as become an active participant in the project for the future.

Comment 1 David Lawrence 2001-08-28 17:07:01 UTC
This should hopefully be alleviated by our eventual move to PostgreSQL. We can
start with a clean slate against the latest Mozilla code base.

Comment 2 Maxwell Kanat-Alexander 2003-12-16 18:22:26 UTC
In fact, I think that this _was_ resolved. More than once, even, I'd
imagine. :-)

-M

Comment 3 David Lawrence 2003-12-16 18:25:38 UTC
Yes, it was solved at that time, but is now several *minor* versions
behind so it is still somewhat valid. At least we are not several
*major* versions behind.

Comment 4 Maxwell Kanat-Alexander 2003-12-16 18:33:28 UTC
Even if you merge the PgSQL code with the bugzilla.org code, will the
Red Hat templates work against the newer versions without massive hacking?

The Feature Tracker things, from what I've seen, can be patched in and
out, though it takes a bit of work.

I too, would like to use newer bugzilla.org code, but I don't think
that my users would ever accept the standard Bugzilla interface. :-)

-M

Comment 5 David Lawrence 2005-08-23 20:46:14 UTC
RH Bugzilla is now more in sync with Mozilla.org but not quite. The RH
PostgreSQL changes were redone and are now pretty much different. Hopefully with
the upcoming release of 2.20, RH Bugzilla can get closer to being more line for
line similar to Mozilla.org aside from the necessary RH code changes and look
and feel.

Comment 6 Frédéric Buclin 2008-05-14 13:08:13 UTC
Any plan to move to 3.0.x, or even better, 3.2? ;)

Comment 7 David Lawrence 2008-05-14 15:51:42 UTC
Moving to 3.2 is what we have been working on for past 3 months :) We are
planning on going live as soon as 3.2 is official.

For progress view all Bugzilla bugs here with version == 3.2.

Dave

Comment 8 David Lawrence 2008-05-14 15:52:48 UTC
Closing as we are tracking this in bug 406071 now.

Dave


Note You need to log in before you can comment on or make changes to this bug.